Skip to main content
POST
Publish Web template

Headers

api-key
string
required
Example:

"secret_live_xxx"

Path Parameters

key
string
required

Template key (web_tpl_key_...).

Response

Template published (response body is the published row; check is_latest and status).

Web inquiry template row. Responses omit ai_instruction, login_methods, and allowed_modes even if set in the request body.

id
string

Row id (web_tpl_...).

key
string

Use as template_key on Create Web inquiry.

version
integer
is_latest
boolean
status
enum<string>
Available options:
draft,
published
name
string
description
string
query
string
fields
object[]
user_instruction
string
acceptance_guide
string
start_url
string
return_url
string
capture_type
enum<string>
Available options:
screenshot,
document
settings
object
metadata
object | null
theme_id
string | null
org_id
string
created_by
string
published_at
string<date-time> | null
created_at
string<date-time>
updated_at
string<date-time>
deleted_at
string<date-time> | null